Create a Feed search and start its first run
curl --request POST \
--url https://app.puffle.ai/api/feed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"intent": "<string>",
"origin": "prompt",
"sourcePlan": {
"query": [
"<string>"
],
"reason": "<string>",
"resultTarget": {
"mode": "count",
"count": 4503599627370495
},
"companySize": {
"min": 4503599627370495,
"max": 4503599627370495
},
"personCriteria": [
{
"id": "<string>",
"kind": "current_title",
"values": [
"<string>"
]
}
],
"unresolvedPreferences": [
"<string>"
],
"companyCriteria": [
{
"id": "<string>",
"value": "<string>"
}
],
"rankedCompanyCohort": {
"kind": "default",
"limit": 4503599627370495
}
},
"description": "<string>",
"creationPrompt": "<string>",
"details": {
"channel": "<string>",
"signal": "<string>",
"expectedLead": "<string>",
"whyThisShouldWork": "<string>",
"plannerAssumedPreferences": [
"<string>"
]
}
}
'import requests
url = "https://app.puffle.ai/api/feed"
payload = {
"title": "<string>",
"intent": "<string>",
"origin": "prompt",
"sourcePlan": {
"query": ["<string>"],
"reason": "<string>",
"resultTarget": {
"mode": "count",
"count": 4503599627370495
},
"companySize": {
"min": 4503599627370495,
"max": 4503599627370495
},
"personCriteria": [
{
"id": "<string>",
"kind": "current_title",
"values": ["<string>"]
}
],
"unresolvedPreferences": ["<string>"],
"companyCriteria": [
{
"id": "<string>",
"value": "<string>"
}
],
"rankedCompanyCohort": {
"kind": "default",
"limit": 4503599627370495
}
},
"description": "<string>",
"creationPrompt": "<string>",
"details": {
"channel": "<string>",
"signal": "<string>",
"expectedLead": "<string>",
"whyThisShouldWork": "<string>",
"plannerAssumedPreferences": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
intent: '<string>',
origin: 'prompt',
sourcePlan: {
query: ['<string>'],
reason: '<string>',
resultTarget: {mode: 'count', count: 4503599627370495},
companySize: {min: 4503599627370495, max: 4503599627370495},
personCriteria: [{id: '<string>', kind: 'current_title', values: ['<string>']}],
unresolvedPreferences: ['<string>'],
companyCriteria: [{id: '<string>', value: '<string>'}],
rankedCompanyCohort: {kind: 'default', limit: 4503599627370495}
},
description: '<string>',
creationPrompt: '<string>',
details: {
channel: '<string>',
signal: '<string>',
expectedLead: '<string>',
whyThisShouldWork: '<string>',
plannerAssumedPreferences: ['<string>']
}
})
};
fetch('https://app.puffle.ai/api/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"search": {
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"scheduleEnabled": true,
"definitionHash": "<string>",
"intent": "<string>",
"sellerContext": "<string>",
"sourcePlans": [
{
"query": [
"<string>"
],
"reason": "<string>",
"resultTarget": {
"mode": "count",
"count": 4503599627370495
},
"geography": {
"mode": "explicit",
"countryCodes": [
"<string>"
],
"cityNames": [
"<string>"
]
},
"companySize": {
"min": 4503599627370495,
"max": 4503599627370495
},
"personCriteria": [
{
"id": "<string>",
"kind": "current_title",
"values": [
"<string>"
]
}
],
"unresolvedPreferences": [
"<string>"
],
"companyCriteria": [
{
"id": "<string>",
"value": "<string>"
}
],
"rankedCompanyCohort": {
"kind": "default",
"limit": 4503599627370495
}
}
],
"details": {
"channel": "<string>",
"signal": "<string>",
"expectedLead": "<string>",
"whyThisShouldWork": "<string>",
"plannerAssumedPreferences": [
"<string>"
]
},
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundCampaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leadCount": 4503599627370495,
"resultCount": 4503599627370495,
"contactedCount": 4503599627370495,
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"run": {
"runId": "<string>",
"triggerRunId": "<string>",
"continuationRetryAfter": "2023-11-07T05:31:56Z",
"counts": {}
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}Feed
Create a Feed search and start its first run
Create a Feed search and start its first run
POST
/
api
/
feed
Create a Feed search and start its first run
CLI:
puffle feed create --title <title> --intent <intent> --source-plan <source-plan>
puffle feed create --title <title> --intent <intent> --source-plan <source-plan> --description <description> --origin <origin> --creation-prompt <creation-prompt> --details <details>
Overview
Create a Feed search and start its first run This page documentspost /api/feed. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.
AI agent notes
- Confirm the operation matches the user’s intent before calling it.
- For write operations, confirm the user intends to change state.
- Surface validation, permission, and not-found errors instead of retrying unchanged.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 180Minimum string length:
1Available options:
prompt, planner Show child attributes
Show child attributes
Maximum string length:
500Minimum string length:
1Show child attributes
Show child attributes
Response
Search created.
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
recorded, accepted_unrecorded, existing Available options:
created, reused Available options:
queued, existing Was this page helpful?
⌘I